<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.AutoCommit Field
DatabaseConfig Class See Also

Enclose the open call within a transaction. If the call succeeds, the open operation will be recoverable and all subsequent database modification operations based on this handle will be transactionally protected. If the call fails, no database will have been created.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool AutoCommit

Visual Basic (Declaration)

    Public AutoCommit As Boolean

Visual C++

    public:
    bool AutoCommit

# See Also

DatabaseConfig Class
BerkeleyDB Namespace